## python-ironic-lib 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.4.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
oslo.log>=1.14.0 # Apache-2.0

=== debian/changelog ===
python-ironic-lib (1.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:44:06 +0100

python-ironic-lib (0.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 10:16:56 +0000

python-ironic-lib (0.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #801583)

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Oct 2015 10:53:40 +0200

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-eventlet (>= 0.18.4),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-mox3,
                     python-os-testr (>= 0.4.1),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.4.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.8.1),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-crypto,
                     python3-eventlet (>= 0.18.4),
                     python3-greenlet (>= 0.3.2),
                     python3-mox3,
                     python3-os-testr (>= 0.4.1),
                     python3-oslo.concurrency (>= 3.5.0),
                     python3-oslo.config (>= 1:3.4.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.service (>= 1.0.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-requests (>= 2.8.1),
                     python3-simplejson,
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-ironic-lib.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-ironic-lib.git
Homepage: http://www.openstack.org/

Package: python-ironic-lib
Architecture: all
Depends: python-eventlet (>= 0.18.4),
         python-greenlet (>= 0.3.2),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.4.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 2.8.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: common library used by various Ironic projects - Python 2.7
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 2.7 module.

Package: python3-ironic-lib
Architecture: all
Depends: python3-crypto,
         python3-eventlet (>= 0.18.4),
         python3-greenlet (>= 0.3.2),
         python3-oslo.concurrency (>= 3.5.0),
         python3-oslo.config (>= 1:3.4.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.service (>= 1.0.0),
         python3-oslo.utils (>= 2.8.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/ironic-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-ironic-lib; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-ironic-lib; \
	done
	rm -rf $(CURDIR)/debian/python*-ironic-lib/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-ironic-lib 2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.log>=1.14.0 # Apache-2.0

=== debian/changelog ===
python-ironic-lib (2.1.0-1+25~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 23 Sep 2016 07:52:06 +0000

python-ironic-lib (2.1.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2016 00:29:44 +0200

python-ironic-lib (1.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch to debian/newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 12:31:46 +0000

python-ironic-lib (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 14:09:17 +0000

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-eventlet (>= 0.18.4),
                     python-hacking (>= 0.10.0),
                     python-mock (>= 2.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.14.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-crypto,
                     python3-eventlet (>= 0.18.4),
                     python3-mock (>= 2.0),
                     python3-os-testr (>= 0.7.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:3.10.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.service (>= 1.10.0),
                     python3-oslo.utils (>= 3.14.0),
                     python3-oslotest (>= 1.10.0),
                     python3-requests (>= 2.10.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-ironic-lib
Vcs-Git: https://git.openstack.org/openstack/deb-python-ironic-lib
Homepage: http://www.openstack.org/

Package: python-ironic-lib
Architecture: all
Depends: python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.14.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: common library used by various Ironic projects - Python 2.7
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 2.7 module.

Package: python3-ironic-lib
Architecture: all
Depends: python3-crypto,
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.config (>= 1:3.10.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.service (>= 1.10.0),
         python3-oslo.utils (>= 3.14.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/ironic-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-ironic-lib 2.5.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.log>=3.11.0 # Apache-2.0

=== debian/changelog ===
python-ironic-lib (2.5.2-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 20 Jan 2017 16:57:53 +0000

python-ironic-lib (2.5.2-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 20 Jan 2017 10:06:15 -0500

python-ironic-lib (2.5.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:24:26 -0500

python-ironic-lib (2.5.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Add autopkgtest.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jan 2017 09:01:47 -0500

python-ironic-lib (2.4.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Update version dependencies

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Jan 2017 10:23:32 -0500

python-ironic-lib (2.3.0-1ubuntu1) zesty; urgency=medium

  * New upstream version. 
  * debian/control: Update version dependencies

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Oct 2016 10:48:48 -0400

python-ironic-lib (2.1.1-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 23 Oct 2016 15:29:33 -0400

python-ironic-lib (2.1.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 14:36:53 -0400

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-hacking (>= 0.11.0),
                     python-mock (>= 2.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-crypto,
                     python3-eventlet (>= 0.18.2),
                     python3-mock (>= 2.0),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.11.0),
                     python3-oslo.service (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslotest (>= 1.10.0),
                     python3-requests (>= 2.10.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-lib
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-lib
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-ironic-lib
Architecture: all
Depends: python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Description: common library used by various Ironic projects - Python 2.7
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 2.7 module.

Package: python3-ironic-lib
Architecture: all
Depends: python3-crypto,
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.config (>= 1:3.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.service (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

## python-ironic-lib 2.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.9.0 # MIT
oslo.log>=3.22.0 # Apache-2.0

=== debian/changelog ===
python-ironic-lib (2.9.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 16:40:31 -0400

python-ironic-lib (2.7.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:00:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,39 +8,43 @@
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-coverage (>= 4.0),
                      python-eventlet (>= 0.18.2),
                      python-hacking (>= 0.11.0),
                      python-mock (>= 2.0),
+                     python-openstackdocstheme (>= 1.11.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.config (>= 4.0.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
-                     python-requests (>= 2.10.0),
+                     python-requests (>= 2.14.2),
                      python-six (>= 1.9.0),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python3-crypto,
                      python3-eventlet (>= 0.18.2),
                      python3-mock (>= 2.0),
+                     python3-openstackdocstheme (>= 1.11.0),
                      python3-os-testr (>= 0.8.0),
                      python3-oslo.concurrency (>= 3.8.0),
-                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslo.config (>= 4.0.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 3.11.0),
+                     python3-oslo.log (>= 3.22.0),
+                     python3-oslo.serialization (>= 1.10.0),
                      python3-oslo.service (>= 1.10.0),
-                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-oslotest (>= 1.10.0),
-                     python3-requests (>= 2.10.0),
+                     python3-requests (>= 2.14.2),
                      python3-six (>= 1.9.0),
                      python3-subunit,
                      python3-testscenarios (>= 0.4),
@@ -56,13 +60,14 @@
 Package: python-ironic-lib
 Architecture: all
 Depends: python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
+         python-oslo.config (>= 4.0.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
-         python-pbr (>= 1.8),
-         python-requests (>= 2.10.0),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
+         python-requests (>= 2.14.2),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends}
@@ -82,13 +87,14 @@
 Architecture: all
 Depends: python3-crypto,
          python3-oslo.concurrency (>= 3.8.0),
-         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.config (>= 4.0.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 3.11.0),
+         python3-oslo.log (>= 3.22.0),
+         python3-oslo.serialization (>= 1.10.0),
          python3-oslo.service (>= 1.10.0),
-         python3-oslo.utils (>= 3.18.0),
-         python3-pbr (>= 1.8),
-         python3-requests (>= 2.10.0),
+         python3-oslo.utils (>= 3.20.0),
+         python3-pbr (>= 2.0.0),
+         python3-requests (>= 2.14.2),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends}

## python-ironic-lib 2.12.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
python-ironic-lib (2.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 13:12:27 -0500

python-ironic-lib (2.11.0-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Dropped, no longer needed.
  * d/rules: Switch unit test execution to use ostestr, easing migrations
    from testrepository to stestr.

  [ Corey Bryant ]
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 10:36:23 -0500

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-eventlet (>= 0.18.2),
 python-hacking (>= 0.11.0),
 python-mock (>= 2.0.0),
 python-openstackdocstheme (>= 1.17.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-coverage (>= 4.0),
 python3-crypto,
 python3-eventlet (>= 0.18.2),
 python3-hacking (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-subunit,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-lib
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-lib
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-ironic-lib
Architecture: all
Depends:
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Description: common library used by various Ironic projects - Python 2.7
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 2.7 module.

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-crypto,
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+PYTHONS:=$(shell pyversions -vr)
+PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT := https://github.com/openstack/ironic-lib.git
 include /usr/share/openstack-pkg-tools/pkgos.make
@@ -11,7 +14,12 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in $(PYTHONS) $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-ostestr; \
+	done
 endif
 
 override_dh_clean:

## python-ironic-lib 2.14.0

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-oslo.concurrency>=3.25.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0

=== debian/changelog ===
python-ironic-lib (2.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:44:34 +0200

python-ironic-lib (2.14.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 12:22:01 +0200

python-ironic-lib (2.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:31 +0000

python-ironic-lib (2.12.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 11:45:01 +0000

python-ironic-lib (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 01:25:01 +0000

python-ironic-lib (2.10.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Ran warp-and-sort -bast.
  * Fixed VCS URLs.
  * Updating maintainer field.
  * Updating standards version to 4.1.1.
  * New usptream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Oct 2017 16:25:38 +0200

python-ironic-lib (2.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:10:24 +0200

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-crypto,
 python3-eventlet,
 python3-mock,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
 python3-stestr,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ironic-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ironic-lib.git
Homepage: https://github.com/openstack/ironic-lib

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-crypto,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.

## python-ironic-lib 2.16.2

=== debian/changelog ===
python-ironic-lib (2.16.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 14:27:16 -0400

python-ironic-lib (2.16.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 12:53:03 -0500

python-ironic-lib (2.16.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:10:07 -0500

python-ironic-lib (2.14.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 13:37:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,49 @@
 Source: python-ironic-lib
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 10~),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 52~),
+ python-all,
+ python-pbr (>= 2.0.0),
+ python-setuptools,
+ python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-coverage,
- python3-hacking,
+ python-coverage (>= 4.0),
+ python-eventlet (>= 0.18.2),
+ python-hacking (>= 1.0.0),
+ python-mock (>= 2.0.0),
+ python-os-testr (>= 1.0.0),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
+ python-oslo.i18n (>= 3.15.3),
+ python-oslo.log (>= 3.36.0),
+ python-oslo.serialization (>= 2.18.0),
+ python-oslo.service (>= 1.24.0),
+ python-oslo.utils (>= 3.33.0),
+ python-oslotest (>= 1:3.2.0),
+ python-requests (>= 2.14.2),
+ python-six (>= 1.10.0),
+ python-stestr (>= 1.0.0),
+ python-testscenarios (>= 0.4),
+ python-testtools (>= 2.2.0),
+ python3-coverage (>= 4.0),
  python3-crypto,
- python3-eventlet,
- python3-mock,
+ python3-doc8 (>= 0.6.0),
+ python3-eventlet (>= 0.18.2),
+ python3-hacking (>= 1.0.0),
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -26,15 +53,45 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-requests (>= 2.14.2),
- python3-six,
- python3-testscenarios,
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 1.0.0),
+ python3-subunit,
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  subunit,
- python3-stestr,
+ testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ironic-lib
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ironic-lib.git
-Homepage: https://github.com/openstack/ironic-lib
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-lib
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-lib
+Homepage: http://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
+
+Package: python-ironic-lib
+Architecture: all
+Depends:
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
+ python-oslo.i18n (>= 3.15.3),
+ python-oslo.log (>= 3.36.0),
+ python-oslo.serialization (>= 2.18.0),
+ python-oslo.service (>= 1.24.0),
+ python-oslo.utils (>= 3.33.0),
+ python-pbr (>= 2.0.0),
+ python-requests (>= 2.14.2),
+ python-six (>= 1.10.0),
+ ${misc:Depends},
+ ${python:Depends},
+Description: common library used by various Ironic projects - Python 2.7
+ A common library to be used by various projects in the Ironic ecosystem.
+ .
+ Ironic provision bare metal machines instead of virtual machines. It is a fork
+ of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
+ API and a set of plugins which interact with the bare metal hypervisors. By
+ default, it will use PXE and IPMI in concert to provision and turn on/off
+ machines, but Ironic also supports vendor-specific plugins which may implement
+ additional functionality.
+ .
+ This package provides the Python 2.7 module.
 
 Package: python3-ironic-lib
 Architecture: all
@@ -49,7 +106,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-six,
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: common library used by various Ironic projects - Python 3.x

## python-ironic-lib 2.21.0

=== debian/changelog ===
python-ironic-lib (2.21.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 19:44:18 +0200

python-ironic-lib (2.21.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 22:16:52 +0200

python-ironic-lib (2.16.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:29:08 +0200

python-ironic-lib (2.16.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Removed package versions when satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 16:23:20 +0100

=== debian/control ===
Source: python-ironic-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-crypto,
 python3-eventlet,
 python3-hacking,
 python3-mock,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-six,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-zeroconf,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ironic-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ironic-lib.git
Homepage: https://github.com/openstack/ironic-lib

Package: python3-ironic-lib
Architecture: all
Depends:
 python3-crypto,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-zeroconf,
 ${misc:Depends},
 ${python3:Depends},
Description: common library used by various Ironic projects - Python 3.x
 A common library to be used by various projects in the Ironic ecosystem.
 .
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Python 3.x module.
